%define		_class		MIME
%define		_subclass	Type
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.4.1
Release:	%mkrel 3
Summary:	Utility class for dealing with MIME types
License:	LGPL
Group:		Development/PHP
URL:		http://pear.php.net/package/MIME_Type/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0
BuildArch:	noarch


%description
Provide functionality for dealing with MIME types.
* Parse MIME type.
* Supports full RFC2045 specification.
* Many utility functions for working with and determining info about types.
* Most functions can be called statically.
* Autodetect a file's mime-type, either with fileinfo extension,
  mime_magic extension, the 'file' command or an in-built mapping list

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/MIME_Type.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/MIME_Type.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/MIME_Type
fi

%files
%doc docs/MIME_Type/*
%{peardir}/*
%{xmldir}/MIME_Type.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.1-3.mga8
+ Revision: 1499095
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1273603
- Mageia 7 Mass Rebuild

* Sun Mar 13 2016 spuhler <spuhler> 1.4.1-1.mga6
+ Revision: 990309
- upgrade to vers. 1.4.1

* Tue Feb 09 2016 umeabot <umeabot> 1.3.4-2.mga6
+ Revision: 951017
- Mageia 6 Mass Rebuild

* Fri Dec 05 2014 spuhler <spuhler> 1.3.4-1.mga5
+ Revision: 801575
- upgrade to ver. 1.3.4
 * add mp4 to extensionToType array

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-4.mga5
+ Revision: 745535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 687331
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.3.3-2.mga4
+ Revision: 539210
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 spuhler <spuhler> 1.3.3-1.mga4
+ Revision: 491638
- upgrade to version 1.3.3

* Tue Oct 01 2013 spuhler <spuhler> 1.3.2-1.mga4
+ Revision: 489912
- upgrade to vers. 1.3.2

* Sun Jun 16 2013 spuhler <spuhler> 1.3.1-1.mga4
+ Revision: 443807
- upgrade to version 1.3.1
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 376816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 spuhler <spuhler> 1.3.0-1.mga2
+ Revision: 177225
- upgrade to 1.3.0

* Sat Feb 05 2011 spuhler <spuhler> 1.2.1-1.mga1
+ Revision: 47526
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-MIME_Type


* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2011.0
+ Revision: 594494
- update to new version 1.2.1

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-2mdv2010.1
+ Revision: 470173
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2010.0
+ Revision: 441354
- rebuild

* Sat Jan 24 2009 Funda Wang <fwang@mandriva.org> 1.2.0-1mdv2009.1
+ Revision: 333197
- new version 1.2.0

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-9mdv2009.1
+ Revision: 322276
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-8mdv2009.0
+ Revision: 236912
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-7mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-7mdv2007.0
+ Revision: 82003
- Import php-pear-MIME_Type

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdk
- initial Mandriva package (PLD import)

